==========================================================================
Ubuntu Security Notice USN-6519-2
November 29, 2023

ec2-hibinit-agent update
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 16.04 LTS (Available with Ubuntu Pro)

Summary:

A security improvement was added to EC2 hibagent.

Software Description:
- ec2-hibinit-agent: Amazon EC2 hibernation agent

Details:

USN-6519-1 added IMDSv2 support to EC2 hibagent. This update provides
the corresponding update for Ubuntu 16.04 LTS.

Original advisory details:

 The EC2 hibagent package has been updated to add IMDSv2 support, as IMDSv1
 uses an insecure protocol and is no longer recommended.

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 16.04 LTS (Available with Ubuntu Pro):
  ec2-hibinit-agent               1.0.0-0ubuntu4~16.04.4+esm1

In general, a standard system update will make all the necessary changes.

References:
  https://ubuntu.com/security/notices/USN-6519-2
  https://ubuntu.com/security/notices/USN-6519-1
  https://launchpad.net/bugs/1941785

Ubuntu 6519-2: EC2 hibagent update

November 29, 2023
A security improvement was added to EC2 hibagent.

Summary

A security issue affects these releases of Ubuntu and its derivatives: - Ubuntu 16.04 LTS (Available with Ubuntu Pro) Summary: A security improvement was added to EC2 hibagent. Software Description: - ec2-hibinit-agent: Amazon EC2 hibernation agent Details: USN-6519-1 added IMDSv2 support to EC2 hibagent. This update provides the corresponding update for Ubuntu 16.04 LTS. Original advisory details: The EC2 hibagent package has been updated to add IMDSv2 support, as IMDSv1 uses an insecure protocol and is no longer recommended.

Update Instructions

The problem can be corrected by updating your system to the following package versions: Ubuntu 16.04 LTS (Available with Ubuntu Pro): ec2-hibinit-agent 1.0.0-0ubuntu4~16.04.4+esm1 In general, a standard system update will make all the necessary changes.

References

https://ubuntu.com/security/notices/USN-6519-2

https://ubuntu.com/security/notices/USN-6519-1

https://launchpad.net/bugs/1941785

Severity
Ubuntu Security Notice USN-6519-2

Package Information

Related News

News

Powered By

Footer Logo

Linux Security - Your source for Top Linux News, Advisories, HowTo's and Feature Release.

Powered By

Footer Logo